<template>
    <v-btn :loading="loading" :icon="icon" @click="clicked" :elevation="elevation" :color="color" :block="block"> {{ text }} </v-btn>
</template>

<script>
export default {
    props: {
        text: {
            type: String
        },
        loading: {
            type: Boolean,
            default: false,
        },
        icon: {
            type: String,
        },
       elevation: {
            type: String,
            default: "0"
        },
        color: {
            type: String,
            default: "white"
        },
        block: {
            type: Boolean,
            default: false
        },
    },
    methods: {
        clicked() {
            this.$emit("clicked");
        }
    }
}
</script>